<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <title>Title</title>
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css'>
    <script defer src="https://use.fontawesome.com/releases/v5.7.2/js/all.js" integrity="sha384-0pzryjIRos8mFBWMzSSZApWtPl/5++eIfzYmTgBBmXYdhvxPc+XcFEk+zJwDgWbP"
        crossorigin="anonymous"></script>
    <link rel="stylesheet" href="./styles.css">
</head>

<body>
    <!-- navbar -->
    <div class="navbar-fixed">
        <nav>
            <div class="nav-wrapper">
                <a href="#!" class="brand-logo">LED</a>
                <a href="#" data-target="mobile-demo" class="sidenav-trigger"><i class="fa fa-bars" style="font-size:24px;"></i>
                </a>
                <ul class="right hide-on-med-and-down">
                    <li><a href="sass.html">Sass</a></li>
                    <li><a href="badges.html">Components</a></li>
                    <li><a href="collapsible.html">Javascript</a></li>
                    <li><a href="mobile.html">Mobile</a></li>
                </ul>
            </div>
        </nav>
    </div>

    <ul class="sidenav" id="mobile-demo">
        <li><a href="sass.html">Sass</a></li>
        <li><a href="badges.html">Components</a></li>
        <li><a href="collapsible.html">Javascript</a></li>
        <li><a href="mobile.html">Mobile</a></li>
    </ul>


    <!-- cards -->
    <div class="row container">
        <div class="col s12 m12 l6">
            <div class="card">
                <div class="card-content black-text">
                    <a href="#">
                        <i class="right icon fa fa-edit"></i>
                    </a>
                    <a href="#">
                        <i class="right icon fas fa-redo"></i>
                    </a>
                    <a href="#">
                        <i class="right icon fas fa-trash-alt"></i>
                    </a>
                    <span class="card-title">all</span>
                    <!-- slider -->
                    <form action="#" id="rgb-form">
                        <p class="range-field">
                            Red:
                            <input type="range" name="slider-r" class="rgb-slider" min="0" max="255" />
                        </p>
                        <p class="range-field">
                            Green:
                            <input type="range" name="slider-g" class="rgb-slider" min="0" max="255" />
                        </p>
                        <p class="range-field">
                            Blue:
                            <input type="range" name="slider-b" class="rgb-slider" min="0" max="255" />
                        </p>
                        <p class="range-field">
                            Alpha:
                            <input type="range" name="slider-a" class="rgb-slider" min="0" max="10" />
                        </p>
                        <div class="btn indigo sub">send</div>
                    </form>
                    <!-- favourites -->
                    <div class="input-field col s12 m6">
                        <select class="icons">
                            <option value="" class="new-fav" disabled>
                                <a class="waves-effect waves-light btn modal-trigger" href="#favourites-modal">Modal</a>
                            </option>
                            <option value="" class="left" selected>favourite 1</option>
                            <option value="" class="left">favourite 2</option>
                            <option value="" class="left">favourite 3</option>
                        </select>
                        <label class="">Favourites</label>
                    </div>
                    <div class="card-action">
                        <a href="" class="black-text"></a>
                        <div class="switch right">
                            <label>
                                <input type="checkbox" class="switch" checked="true">
                                <span class="lever"></span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Structure -->
    <div id="favourites-modal" class="modal modal-fixed-footer">
        <div class="modal-content">
            <input placeholder="Name" id="name" type="text" data-error-message="Please enter a name">
            <label for="name">Name</label>
            <input placeholder="Color in Hex Code" id="color" type="text">
            <label for="color"><a href="https://www.w3schools.com/colors/colors_picker.asp" target="_blank">Here</a>
                you can find a
                color picker</label>
            <form action="#" id="rgb-form">
                <p class="range-field">
                    <input type="range" id="slider-r-preview" class="rgb-slider-preview" min="0" max="255" />
                </p>
                <p class="range-field">
                    <input type="range" id="slider-g-preview" class="rgb-slider-preview" min="0" max="255" />
                </p>
                <p class="range-field">
                    <input type="range" id="slider-b-preview" class="rgb-slider-preview" min="0" max="255" />
                </p>
            </form>
        </div>
        <div class="modal-footer">
            <div class="container z-depth-2 preview-color"></div>
            <a href="#!" class="modal-close waves-effect btn red darken-3">Cancle</a>
            <a href="#!" class="modal-close waves-effect btn indigo create">Create</a>
        </div>
    </div>

    <script src='https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js'></script>
    <script src='https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js'></script>
    <script>
        $(document).ready(function () {
            $('.sidenav').sidenav();
            $('select').formSelect();
            $('.modal').modal();
        });
    </script>
    <script src="./js/index.js"></script>
    <script src="./js/favourites.js"></script>
</body>

</html>